BasicShape (Apache Ant API)
Keywords: org.apache.tools.ant.types.optional.image.BasicShape class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.image
Class BasicShape

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.optional.image.ImageOperation
                  org.apache.tools.ant.types.optional.image.BasicShape

All Implemented Interfaces:
  java.lang.Cloneable, DrawOperation

Direct Known Subclasses:
  Arc, Ellipse, Rectangle

    public abstract class BasicShape

extends ImageOperation
implements DrawOperation

Draw a basic shape

Field Summary
`protected java.lang.String` | `fill`
`protected java.lang.String` | `stroke`
`protected int` | `stroke_width`

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`BasicShape()`

Method Summary
`void` | `setFill(java.lang.String col)` Set the fill attribute.
`void` | `setStroke(java.lang.String col)` Set the stroke attribute.
`void` | `setStrokewidth(int width)` Set the stroke width attribute.

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRectangle, addRotate, addScale, addText`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.types.optional.image.DrawOperation
`executeDrawOperation`

Field Detail

### stroke_width

    protected int stroke_width

### fill

    protected java.lang.String fill

### stroke

    protected java.lang.String stroke

Constructor Detail

### BasicShape

    public BasicShape()

Method Detail

### setFill

    public void setFill(java.lang.String col)

  Set the fill attribute.

  Parameters:
    `col` - the color value to use.

### setStroke

    public void setStroke(java.lang.String col)

  Set the stroke attribute.

  Parameters:
    `col` - the color value to use.

### setStrokewidth

    public void setStrokewidth(int width)

  Set the stroke width attribute.

  Parameters:
    `width` - the value to use.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD